Listing - Get
curl --request GET \
--url https://api.skulabs.com/listing/get \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.skulabs.com/listing/get"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.skulabs.com/listing/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skulabs.com/listing/get",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.skulabs.com/listing/get"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.skulabs.com/listing/get")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skulabs.com/listing/get")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"_id": "507f1f77bcf86cd799439011",
"store_id": "507f1f77bcf86cd799439011",
"id": "<string>",
"active": true,
"type": "<string>",
"name": "<string>",
"sku": "<string>",
"upc": "<string>",
"weight": 123,
"weight_unit": "<string>",
"length": 123,
"width": 123,
"height": 123,
"dimensions_unit": "<string>",
"cost": 123,
"retail": 123,
"location": "<string>",
"on_hand": 123,
"inventory": [
{
"name": "<string>",
"location_id": "<string>",
"inventory_item_id": "<string>",
"quantity": 123,
"last_pushed": 123,
"last_pushed_time": "2025-01-15T12:00:00.000Z",
"last_failed": 123,
"last_failed_time": "2025-01-15T12:00:00.000Z",
"untracked": true,
"unassigned": true
}
],
"image": "<string>",
"price": 123,
"variants": [
{
"id": "<string>",
"sku": "<string>",
"name": "<string>",
"upc": "<string>",
"price": 123,
"image": "<string>",
"weight": 123,
"weight_unit": "<string>",
"on_hand": 123,
"inventory_rule": "<string>",
"price_rule": "<string>",
"restock_date": "2025-01-15",
"restock_quantity": 123,
"restock_date_from_po": true,
"restock_date_buffer_days": 123,
"restock_quantity_rule": "<string>",
"last_pushed": 123,
"last_pushed_time": "2025-01-15T12:00:00.000Z",
"last_failed": 123,
"last_failed_time": "2025-01-15T12:00:00.000Z",
"last_price": 123,
"last_lag_time": 123,
"inventory": [
{
"name": "<string>",
"location_id": "<string>",
"inventory_item_id": "<string>",
"quantity": 123,
"last_pushed": 123,
"last_pushed_time": "2025-01-15T12:00:00.000Z",
"last_failed": 123,
"last_failed_time": "2025-01-15T12:00:00.000Z",
"untracked": true,
"unassigned": true
}
]
}
],
"variant_sets": [
{}
],
"variants_rule": "<string>",
"inventory_rule": "<string>",
"price_rule": "<string>",
"fulfillment_rule": "<string>",
"restock_date": "2025-01-15",
"restock_quantity": 123,
"restock_date_from_po": true,
"restock_date_buffer_days": 123,
"restock_quantity_rule": "<string>",
"last_pushed": 123,
"last_pushed_time": "2025-01-15T12:00:00.000Z",
"last_failed": 123,
"last_failed_time": "2025-01-15T12:00:00.000Z",
"last_price": 123,
"last_lag_time": 123,
"custom_fields": [
{
"field": "<string>",
"value": "<string>"
}
]
}
]{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}Listing
Listing - Get
Retrieve product listings with optional filtering by store and linked item status.
GET
/
listing
/
get
Listing - Get
curl --request GET \
--url https://api.skulabs.com/listing/get \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.skulabs.com/listing/get"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.skulabs.com/listing/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skulabs.com/listing/get",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.skulabs.com/listing/get"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.skulabs.com/listing/get")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skulabs.com/listing/get")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"_id": "507f1f77bcf86cd799439011",
"store_id": "507f1f77bcf86cd799439011",
"id": "<string>",
"active": true,
"type": "<string>",
"name": "<string>",
"sku": "<string>",
"upc": "<string>",
"weight": 123,
"weight_unit": "<string>",
"length": 123,
"width": 123,
"height": 123,
"dimensions_unit": "<string>",
"cost": 123,
"retail": 123,
"location": "<string>",
"on_hand": 123,
"inventory": [
{
"name": "<string>",
"location_id": "<string>",
"inventory_item_id": "<string>",
"quantity": 123,
"last_pushed": 123,
"last_pushed_time": "2025-01-15T12:00:00.000Z",
"last_failed": 123,
"last_failed_time": "2025-01-15T12:00:00.000Z",
"untracked": true,
"unassigned": true
}
],
"image": "<string>",
"price": 123,
"variants": [
{
"id": "<string>",
"sku": "<string>",
"name": "<string>",
"upc": "<string>",
"price": 123,
"image": "<string>",
"weight": 123,
"weight_unit": "<string>",
"on_hand": 123,
"inventory_rule": "<string>",
"price_rule": "<string>",
"restock_date": "2025-01-15",
"restock_quantity": 123,
"restock_date_from_po": true,
"restock_date_buffer_days": 123,
"restock_quantity_rule": "<string>",
"last_pushed": 123,
"last_pushed_time": "2025-01-15T12:00:00.000Z",
"last_failed": 123,
"last_failed_time": "2025-01-15T12:00:00.000Z",
"last_price": 123,
"last_lag_time": 123,
"inventory": [
{
"name": "<string>",
"location_id": "<string>",
"inventory_item_id": "<string>",
"quantity": 123,
"last_pushed": 123,
"last_pushed_time": "2025-01-15T12:00:00.000Z",
"last_failed": 123,
"last_failed_time": "2025-01-15T12:00:00.000Z",
"untracked": true,
"unassigned": true
}
]
}
],
"variant_sets": [
{}
],
"variants_rule": "<string>",
"inventory_rule": "<string>",
"price_rule": "<string>",
"fulfillment_rule": "<string>",
"restock_date": "2025-01-15",
"restock_quantity": 123,
"restock_date_from_po": true,
"restock_date_buffer_days": 123,
"restock_quantity_rule": "<string>",
"last_pushed": 123,
"last_pushed_time": "2025-01-15T12:00:00.000Z",
"last_failed": 123,
"last_failed_time": "2025-01-15T12:00:00.000Z",
"last_price": 123,
"last_lag_time": 123,
"custom_fields": [
{
"field": "<string>",
"value": "<string>"
}
]
}
]{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}Authorizations
Query Parameters
Response
Array of listings matching the query